package com.yc.ship.module.resource.service.cartype;


import com.yc.ship.framework.common.pojo.PageResult;
import com.yc.ship.module.resource.controller.admin.cartype.vo.CarTypePageReqVO;
import com.yc.ship.module.resource.controller.admin.cartype.vo.CarTypeReqVO;
import com.yc.ship.module.resource.controller.admin.cartype.vo.CarTypeSaveReqVO;
import com.yc.ship.module.resource.dal.dataobject.cartype.CarTypeDO;

import javax.validation.Valid;
import java.util.List;
import java.util.Map;

/**
 * 车辆类型管理 Service 接口
 *
 * @author 管理员
 */
public interface CarTypeService {

    /**
     * 创建车辆类型管理
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    String createCarType(@Valid CarTypeSaveReqVO createReqVO);

    /**
     * 更新车辆类型管理
     *
     * @param updateReqVO 更新信息
     */
    void updateCarType(@Valid CarTypeSaveReqVO updateReqVO);

    /**
     * 删除车辆类型管理
     *
     * @param id 编号
     */
    void deleteCarType(String id);

    /**
     * 获得车辆类型管理
     *
     * @param id 编号
     * @return 车辆类型管理
     */
    CarTypeDO getCarType(String id);

    /**
     * 获得车辆类型管理分页
     *
     * @param pageReqVO 分页查询
     * @return 车辆类型管理分页
     */
    PageResult<CarTypeDO> getCarTypePage(CarTypePageReqVO pageReqVO);

    List<CarTypeDO> getCarTypeList(CarTypeReqVO reqVO);

    List<CarTypeDO> getCarTypeList(List<String> idList);

    Map<String, String> getNameMap();
}